﻿#language: ru

Функционал: Учет параметров тех.процесса варки

Сценарий: Учет параметров тех.процесса варки
	Дано Я подключаюсь под "Киоск"
	И в поле с именем 'Дата' я ввожу текст '12.03.2019'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'       |	
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 	|
		| 'Пост сыровара'	|
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Этапы варки'
	Тогда открылось окно 'Этапы варки (12.03.19 Смена24) [Киоск]: Работа с заданиями'
	И в таблице "Задания" я перехожу к последней строке
	И я нажимаю на кнопку 'Параметры т/п'
	Тогда открылось окно 'Пошехонский 45% / * [Этапы варки сыра]: Учет лабораторных анализов'
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Показатель'        |
		| 'Время наливки молока' |
	И пауза 1
	И я нажимаю на кнопку с именем "КомандаКалькулятора1"
	И я нажимаю на кнопку с именем "КомандаКалькулятора3"
	И я нажимаю на кнопку 'Подтвердить'
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Показатель'        |
		| 'Время прессования' |
	И пауза 1
	И я нажимаю на кнопку с именем "КомандаКалькулятора2"
	И я нажимаю на кнопку с именем "КомандаКалькулятора3"
	И я нажимаю на кнопку 'Подтвердить'
	И я нажимаю на кнопку 'КомандаСохранить'
	Тогда открылось окно 'Этапы варки (12.03.19 Смена24) [Киоск]: Работа с заданиями'
	И Я закрываю окно 'Этапы варки (12.03.19 Смена24) [Киоск]: Работа с заданиями'

Сценарий: 10_milk_scenario.01.009 Закрытие клиента тестирования
	И я закрываю сеанс TESTCLIENT